com.microfocus.awm.meta.interfaces

## Interface GenericSymbols

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    GenericSymbolsImpl

      public interface GenericSymbols
      extends AWMObject

  Symbols to specify generic names.

  The following features are supported:

  - `Default Symbol`
  - `Generic Symbols`
  See Also:
    `TaurusPackage.getGenericSymbols()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultSymbol()` Returns the value of the 'Default Symbol' attribute.
    `java.lang.String` | `getGenericSymbols()` Returns the value of the 'Generic Symbols' attribute.
    `boolean` | `isSetDefaultSymbol()` Returns whether the value of the '`Default Symbol`' attribute is set.
    `void` | `setDefaultSymbol(java.lang.String value)` Sets the value of the '`Default Symbol`' attribute.
    `void` | `setGenericSymbols(java.lang.String value)` Sets the value of the '`Generic Symbols`' attribute.
    `void` | `unsetDefaultSymbol()` Unsets the value of the '`Default Symbol`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDefaultSymbol

          java.lang.String getDefaultSymbol()

      Returns the value of the 'Default Symbol' attribute. The default value is `"*"`.
      The default symbol for generic specifications.
      Returns:
        the value of the 'Default Symbol' attribute.
      See Also:
        `isSetDefaultSymbol()`, `unsetDefaultSymbol()`, `setDefaultSymbol(String)`, `TaurusPackage.getGenericSymbols_DefaultSymbol()`

    - #### setDefaultSymbol

          void setDefaultSymbol(java.lang.String value)

      Sets the value of the '`Default Symbol`' attribute.
      Parameters:
        `value` - the new value of the 'Default Symbol' attribute.
      See Also:
        `isSetDefaultSymbol()`, `unsetDefaultSymbol()`, `getDefaultSymbol()`

    - #### unsetDefaultSymbol

          void unsetDefaultSymbol()

      Unsets the value of the '`Default Symbol`' attribute.
      See Also:
        `isSetDefaultSymbol()`, `getDefaultSymbol()`, `setDefaultSymbol(String)`

    - #### isSetDefaultSymbol

          boolean isSetDefaultSymbol()

      Returns whether the value of the '`Default Symbol`' attribute is set.
      Returns:
        whether the value of the 'Default Symbol' attribute is set.
      See Also:
        `unsetDefaultSymbol()`, `getDefaultSymbol()`, `setDefaultSymbol(String)`

    - #### getGenericSymbols

          java.lang.String getGenericSymbols()

      Returns the value of the 'Generic Symbols' attribute.
      List of permitted generic symbols.
      Returns:
        the value of the 'Generic Symbols' attribute.
      See Also:
        `setGenericSymbols(String)`, `TaurusPackage.getGenericSymbols_GenericSymbols()`

    - #### setGenericSymbols

          void setGenericSymbols(java.lang.String value)

      Sets the value of the '`Generic Symbols`' attribute.
      Parameters:
        `value` - the new value of the 'Generic Symbols' attribute.
      See Also:
        `getGenericSymbols()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.